## api-sanity-checker 1.98.7

=== Makefile ===
prefix ?= /usr

install:
	perl Makefile.pl -install -prefix "$(prefix)"

uninstall:
	perl Makefile.pl -remove -prefix "$(prefix)"

## api-sanity-checker 1.98.4

=== debian/changelog ===
api-sanity-checker (1.98.4-1) unstable; urgency=low

  * Initial release

 -- Mathieu Malaterre <malat@debian.org>  Tue, 11 Jun 2013 11:34:40 +0200

=== debian/control ===
Source: api-sanity-checker
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9), abi-compliance-checker (>= 1.98.7)
Maintainer: Mathieu Malaterre <malat@debian.org>
Standards-Version: 3.9.4
Homepage: https://github.com/lvc/api-sanity-checker
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/api-sanity-checker/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/api-sanity-checker/trunk/

Package: api-sanity-checker
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, abi-compliance-checker (>= 1.99)
Suggests: doc-base
Description: automatic generator of basic unit tests for a C/C++ library API.
 API Sanity Checker is an automatic generator of basic unit tests for a C/C++
 library. It helps to quickly generate simple ("sanity" or "shallow" quality)
 tests for every function in an API using their signatures, data type
 definitions and relationships between functions straight from the library
 header files ("Header-Driven Generation"). Each test case contains a function
 call with reasonable (in most, but unfortunately not all, cases) input
 parameters. The quality of generated tests allows one to check absence of
 critical errors in simple use cases and can be greatly improved by involving of
 highly reusable specialized types for the library.
 .
 The tool can execute generated tests and detect crashes, aborts, all kinds of
 emitted signals, non-zero program return code, program hang‐ ing and
 requirement failures (if specified). The tool can be considered as a tool for
 out-of-box low-cost sanity checking of library API or as a test development
 framework for initial generation of templates for advanced tests. Also it
 supports universal Template2Code format of tests, splint specifications, random
 test generation mode and other useful features.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	mkdir -p $(CURDIR)$(DESTDIR)/debian/api-sanity-checker/usr
	perl Makefile.pl -install --prefix=$(CURDIR)$(DESTDIR)/debian/api-sanity-checker/usr

override_dh_installchangelogs:
	dh_installchangelogs doc/Changes.html

debian/api-sanity-checker.1: debian/api-sanity-checker.1.in
	help2man --help-option=--info --include=$< --output=$@ --no-info api-sanity-checker

get-orig-source:
	uscan --download --force-download --rename

## api-sanity-checker 1.98.6

=== debian/changelog ===
api-sanity-checker (1.98.6-1) unstable; urgency=low

  * New upstream.
    Add support for a-c-c 1.98.2 and above
  * Automate man page generation

 -- Mathieu Malaterre <malat@debian.org>  Sun, 13 Oct 2013 15:30:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: api-sanity-checker
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 9), abi-compliance-checker (>= 1.98.7)
+Build-Depends: debhelper (>= 9), abi-compliance-checker (>= 1.98.7), help2man
 Maintainer: Mathieu Malaterre <malat@debian.org>
 Standards-Version: 3.9.4
 Homepage: https://github.com/lvc/api-sanity-checker

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,11 @@
 	dh_installchangelogs doc/Changes.html
 
 debian/api-sanity-checker.1: debian/api-sanity-checker.1.in
-	help2man --help-option=--info --include=$< --output=$@ --no-info api-sanity-checker
+	# remove '.pl' from the generated man page by help2man:
+	ln api-sanity-checker.pl api-sanity-checker
+	help2man --help-option=--info --include=$< --output=$@ --no-info ./api-sanity-checker
+
+build: debian/api-sanity-checker.1
 
 get-orig-source:
 	uscan --download --force-download --rename

## api-sanity-checker 1.98.7

=== debian/changelog ===
api-sanity-checker (1.98.7-2) unstable; urgency=medium

  [ Santiago Vila ]
  * debian/api-sanity-checker.1 should be removed

  [ Mathieu Malaterre ]
  * Simplify d/rules, and fix -A building. Closes: #831969
  * Bump Std-Ves to 3.9.8, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Mon, 25 Jul 2016 08:40:21 +0200

api-sanity-checker (1.98.7-1) unstable; urgency=medium

  * New upstream

 -- Mathieu Malaterre <malat@debian.org>  Wed, 16 Sep 2015 22:07:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: api-sanity-checker
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 9), abi-compliance-checker (>= 1.98.7), help2man
+Build-Depends: abi-compliance-checker (>= 1.98.7), debhelper (>= 9), help2man
 Maintainer: Mathieu Malaterre <malat@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: https://github.com/lvc/api-sanity-checker
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/api-sanity-checker/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/api-sanity-checker/trunk/
 
 Package: api-sanity-checker
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, abi-compliance-checker (>= 1.99)
+Depends: abi-compliance-checker (>= 1.99), ${misc:Depends}, ${perl:Depends}
 Suggests: doc-base
-Description: automatic generator of basic unit tests for a C/C++ library API.
+Description: automatic generator of basic unit tests for a C/C++ library API
  API Sanity Checker is an automatic generator of basic unit tests for a C/C++
  library. It helps to quickly generate simple ("sanity" or "shallow" quality)
  tests for every function in an API using their signatures, data type

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# nothing

override_dh_auto_install:
	mkdir -p $(CURDIR)$(DESTDIR)/debian/api-sanity-checker/usr
	perl Makefile.pl --destdir=$(CURDIR)$(DESTDIR)/debian/api-sanity-checker -install

debian/api-sanity-checker.1: debian/api-sanity-checker.1.in
	help2man --help-option=--info --include=$< --output=$@ --no-info ./debian/api-sanity-checker/usr/bin/api-sanity-checker

override_dh_clean:
	dh_clean debian/api-sanity-checker.1

override_dh_installchangelogs: debian/api-sanity-checker.1
	dh_installchangelogs doc/Changelog.html

get-orig-source:
	uscan --download --force-download --rename
